import { BaseOpenApiV3_1ConverterNode, } from "../../../BaseOpenApiV3_1Converter.node";
import { extendType } from "../../../utils/extendType";
import { X_BEARER_FORMAT } from "../openApiExtension.consts";
export class XBearerFormatConverterNode extends BaseOpenApiV3_1ConverterNode {
    bearerFormat;
    constructor(args) {
        super(args);
        this.safeParse();
    }
    parse() {
        this.bearerFormat = extendType(this.input)[X_BEARER_FORMAT];
    }
    convert() {
        return this.bearerFormat;
    }
}
